;;Example of a ViDAL (ViSta Data Analysis Language) script file.
;;Load this file with the Load-Edit command.

;;Univariate Analysis example

;;These commands load in the animals table data, do a visualization of the
;;data, then an analysis of variance followed by a report and visualization.

(load-data (strcat *data-dir-name* "psych30b.lsp"))
(create-data "Subset" :remove-missing t)
(univariate-analysis :variable "MathSAT" :mu 460 :sigma 100 :direction 1)
(report-model)

(load-data (strcat *data-dir-name* "reading.lsp"))
(univariate-analysis :variable "DRP-Score" )
(report-model)

(load-data (strcat *data-dir-name* "french.lsp"))
(univariate-analysis :variable "Difference" :direction 1)
(report-model)

(univariate-analysis :variable '("PostTest" "PreTest") :direction 1)
(report-model)

(error-message "Example Finished")
